# we are cross-compiled libraries
%global debug_package %{nil}

#%global cvsdate 20110725
%global __strip /bin/true

Name:           m68k-atari-mint-pml
Summary:        Portable Math Library
Version:        2.03
Release:        2%{?dist}
License:        Public Domain
Group:          Development/Libraries
URL:            http://sparemint.atariforge.net/sparemint/misc/code/mintlib/
Source0:        http://vincent.riviere.free.fr/soft/m68k-atari-mint/archives/pml-%{version}.tar.bz2
Patch0:         http://vincent.riviere.free.fr/soft/m68k-atari-mint/archives/pml-%{version}-mint-20110207.patch.bz2
BuildArch:      noarch
BuildRequires:  m68k-atari-mint-gcc
BuildRequires:  m68k-atari-mint-mintlib
# tmp BR
BuildRequires:  m68k-atari-mint-binutils
Requires:       m68k-atari-mint-filesystem


%description
PML, the Portable Math Library for Atari MiNT.
This package is primarily for Atari MiNT developers and is
not needed by normal users or developers.


%prep
%setup -q -n pml-%{version}
%patch0 -p1


%build
cp -a pmlsrc pmlsrc-m68020-60
pushd pmlsrc-m68020-60
sed -i "s:^\(CFLAGS =.*\):\1 -m68020-60:g" Makefile.32 Makefile.16
sed -i "s:^\(CROSSLIB =.*\):\1/m68020-60:g" Makefile
popd

cp -a pmlsrc pmlsrc-m5475
pushd pmlsrc-m5475
sed -i "s:^\(CFLAGS =.*\):\1 -mcpu=5475:g" Makefile.32 Makefile.16
sed -i "s:^\(CROSSLIB =.*\):\1/m5475:g" Makefile
popd

for d in pmlsrc*
do
    ( cd $d; make CROSSDIR=%{mint_prefix} CC=m68k-atari-mint-gcc AR=m68k-atari-mint-ar CPPFLAGS=-I%{mint_includedir} )
done


%install
for d in pmlsrc*
do
    ( cd $d; make install CROSSDIR=$RPM_BUILD_ROOT%{mint_prefix} )
done

# cleanup
rm -rf $RPM_BUILD_ROOT%{mint_mandir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc pmlsrc/README.MJR
%{mint_includedir}/*
%{mint_libdir}/*


%changelog
* Sun Mar 25 2012 Dan Horák <dan[at]danny.cz> - 0.58.0-2.20110725
- little spec cleanup

* Mon Aug 08 2011 Dan Horák <dan[at]danny.cz> - 0.58.0-1.20110725
- initial Fedora release
